Package building errors in Qiana (was errorless until Qiana)

Questions about other topics - please check if your question fits better in another category before posting here
Forum rules
Before you post please read how to get help
inameiname
Level 1
Level 1
Posts: 10
Joined: Wed Oct 12, 2011 8:34 pm

Package building errors in Qiana (was errorless until Qiana)

Postby inameiname » Wed Jul 02, 2014 2:49 am

First, apologies if this is not the correct place to post such a question.

Ever since I did a fresh install of Linux Mint 17 Qiana, I have been unable to build a package for use in my Launchpad PPA. The issue is not in uploading a package, but before that, when running 'debuild -b' to get it made.

Based on the error output, the issue lies with my 'package_name.install' file that I use. The thing that I do not get is why I can do exactly what I do to make packages in previous Linux Mint/Ubuntu versions, but not Linux Mint 17 Qiana.

Has something changed with how packages are built from Petra/Saucy to Qiana/Trusty, such as changes with whatever particular packages are used in the building I do?

Anyway, the following is the error I'm getting:

Code: Select all

debuild -b
 dpkg-buildpackage -rfakeroot -D -us -uc -b
dpkg-buildpackage: source package package_name
dpkg-buildpackage: source version 1.0-1ppa1~tester1
dpkg-buildpackage: source distribution trusty
dpkg-buildpackage: source changed by Me <me@me.com>
 dpkg-source --before-build package_name-1.0-1ppa1~tester1
dpkg-buildpackage: host architecture i386
 fakeroot debian/rules clean
dh clean
   dh_testdir
   dh_auto_clean
   dh_clean
 debian/rules build
dh build
   dh_testdir
   dh_auto_configure
   dh_auto_build
   dh_auto_test
 fakeroot debian/rules binary
dh binary
   dh_testroot
   dh_prep
   dh_auto_install
   dh_install
/home/me/Temp/test/package_name-1.0-1ppa1~tester1/debian/package_name.install:3: *** missing separator.  Stop.
dh_install: problem reading debian/package_name.install:
make: *** [binary] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2
debuild: fatal error at line 1364:
dpkg-buildpackage -rfakeroot -D -us -uc -b failed


To note, the following is my extremely basic 'package_name.install' script that always worked before:

Code: Select all

#!/usr/bin/make -f
# add more lines like below when necessary
usr/ /


Finally, despite never having to do this in past Linux Mint/Ubuntu versions, I tried building my package with the 'package_name.install' file containing a <tab> before my one line, (a suggestion I found via Google), but that just gives me another error:

Code: Select all

#!/usr/bin/make -f
# add more lines like below when necessary
    usr/ /


Code: Select all

debuild -b
 dpkg-buildpackage -rfakeroot -D -us -uc -b
dpkg-buildpackage: source package package_name
dpkg-buildpackage: source version 1.0-1ppa1~tester1
dpkg-buildpackage: source distribution trusty
dpkg-buildpackage: source changed by Me <me@me.com>
 dpkg-source --before-build package_name-1.0-1ppa1~tester1
dpkg-buildpackage: host architecture i386
 fakeroot debian/rules clean
dh clean
   dh_testdir
   dh_auto_clean
   dh_clean
 debian/rules build
dh build
   dh_testdir
   dh_auto_configure
   dh_auto_build
   dh_auto_test
 fakeroot debian/rules binary
dh binary
   dh_testroot
   dh_prep
   dh_auto_install
   dh_install

/home/me/Temp/test/package_name-1.0-1ppa1~tester1/debian/package_name.install:3: *** commands commence before first target.  Stop.
dh_install: problem reading debian/package_name.install:
make: *** [binary] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2
debuild: fatal error at line 1364:
dpkg-buildpackage -rfakeroot -D -us -uc -b failed


Anyway, if anyone knows a solution for this I would be most grateful. I am thinking of figuring out how to downgrade the version of the packages I used in Petra/Saucy so as to make this work.

inameiname
Level 1
Level 1
Posts: 10
Joined: Wed Oct 12, 2011 8:34 pm

Re: Package building errors in Qiana (was errorless until Qi

Postby inameiname » Thu Jul 03, 2014 5:01 am

I think I have found the culprit to this problem. It relates to dh-make. I believe version 0.63 (and 1.20140617 for Utopic) has something in it that changed which causes the error. I have uninstalled this package and installed version 0.62 of it, and it works. Will test further.


Return to “Other topics”

Who is online

Users browsing this forum: No registered users and 5 guests